did not find base dn during startup

Bug #728864 reported by vulfgar on 2011-03-04
This bug affects 195 people
Affects Status Importance Assigned to Milestone
samba4 (Ubuntu)
High
Jelmer Vernooij

Bug Description

Binary package hint: samba4

Got this when I tried to upgrade

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: samba4 4.0.0~alpha15~git20110124.dfsg1-2ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic x86_64
Architecture: amd64
Date: Fri Mar 4 06:35:12 2011
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
SourcePackage: samba4
Title: package samba4 4.0.0~alpha15~git20110124.dfsg1-2ubuntu1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

vulfgar (vulfgar) wrote :
Jelmer Vernooij (jelmer) wrote :

Can you try purging the Samba 4 package and installing again? I think one of the earlier versions must have done a broken provision.

Changed in samba4 (Ubuntu):
status: New → Incomplete
summary: - package samba4 4.0.0~alpha15~git20110124.dfsg1-2ubuntu1 failed to
- install/upgrade: subprocess installed post-installation script returned
- error exit status 1
+ did not find base dn during startup
vulfgar (vulfgar) wrote :

I purged and installed again and this time I didn't get the error messages.

On Fri, 2011-03-11 at 15:46 +0000, vulfgar wrote:
> I purged and installed again and this time I didn't get the error
> messages.
Thanks for confirming!

Cheers,

Jelmer

Andrew McGillis (thwapp) wrote :

Additional info:
My netbook is an MSI Wind U100-257CA netbook. It's bone stock with 2 exceptions. I Upped it to 2GB of ram and updated the BIOS to allow a part-time 24% overclock to speed it up a bit. It's running a wired network connection on AC power while I did the 11.04 upgrade, and I did not have it overclocked either. I hope that all this info helps.

I am not all that knowledgable when it comes to problems that occasionally crop up in Linux. In fact, i's classify myself as a wet-behind-the-ears newbie in Linux. I know enough to be dangerous to my installation. After the 11.04 upgrade process failed, this is what I tried...

I rebooted my netbook and the desktop doesn't load up now. Used "CTRL+ALT+F1" to login on a console, ran "sudo bash", then ran "apt-get purge samba4" to completely remove the Samba4 package (thank you man pages!) which completed without issue. Then I rebooted. On reboot, the desktop didn't complete loading again. Switched to text console using "CTRL+ALT+F1" again to login, ran "sudo bash" again, then ran "apt-get clean" (if I understood the man page correctly, that should remove the download from my netbook and force a redownload of the package..) and then "ran apt-get install samba4" to try and manually re-install the package. It failed with the same error. *sigh*. I rebooted again to the desktop which again didn't load the UI, but after about 30 seconds, it popped up with a "Submit Bug" request. Not realizing it was the same error, I submitted it again. Sorry for my blunder!

Thanks for reading...

Jelmer Vernooij (jelmer) on 2011-06-06
Changed in samba4 (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Low
Jelmer Vernooij (jelmer) on 2012-03-12
Changed in samba4 (Ubuntu):
importance: Low → High
Jelmer Vernooij (jelmer) on 2012-04-13
Changed in samba4 (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Jelmer Vernooij (jelmer)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package samba4 - 4.0.0~alpha18.dfsg1-4ubuntu2

---------------
samba4 (4.0.0~alpha18.dfsg1-4ubuntu2) precise; urgency=low

  * Correctly import server role and realm from existing smb.conf file.
    LP: #936891, LP: #832465
  * Force correct realm during upgradeprovision. LP: #728864
 -- Jelmer Vernooij <email address hidden> Fri, 13 Apr 2012 20:36:12 +0200

Changed in samba4 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers